import request from '../../utils/request'

export function queryInspectionsIndex(data) {
  return request({
    url: '/inspections/queryInspectionsIndex',
    method: 'post',
    data,
  })
}

export function queryInspectionDetail(orderId) {
  return request({
    url: '/inspections/queryInspectionDetail',
    method: 'get',
    params: { orderId },
  })
}

export function fetchCovidExamData(data) {
  return request({
    url: '/covidExamReport/queryResult',
    method: 'post',
    data,
  })
}

export function getIndexByBarCode(data) {
  return request({
    url: '/lisDock/scanBarCode',
    method: 'post',
    data,
  })
}

export function getIndexByTjNo(data) {
  return request({
    url: '/lisDock/getIndexByTjNo',
    method: 'post',
    data,
  })
}

export function pushSelectedResult(data) {
  return request({
    url: '/lisDock/pushSelectedResult',
    method: 'post',
    data,
  })
}

export function searchItems(data) {
  return request({
    url: '/bookableManage/searchItems',
    method: 'post',
    data,
  })
}

export function updateWxBookableFlag(data) {
  return request({
    url: '/bookableManage/updateWxBookableFlag',
    method: 'post',
    data,
  })
}
